# RPM specfile for XML-Parser module
# Generated Mon Jun 25 18:44:11 2001 GMT by Ximian build system
# $Id: bb_do,v 1.119 2001/06/22 18:52:47 mike Exp $
# from $Id: ximian-build.conf,v 1.2 2001/05/21 14:11:50 peter Exp $

%define nam	XML-Parser
%define ver	2.30

Name:     	perl-XML-Parser
Version: 	2.30
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.1 / i386
Copyright:	Artistic
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		http://www.cpan.org/
Source0:	XML-Parser.2.30.tar.gz
Summary:	Perl module for parsing XML files
Group:		Development/Perl
Requires:	expat

%description
 This module provides ways to parse XML documents.  It is built on top
of XML::Parser::Expat, which is a lower level interface to James
Clark's expat library.

%files
%defattr(-, root, root)
%doc Changes README
/usr/lib/perl5


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n XML-Parser-2.30
    ;;
all)
%setup  -q -n XML-Parser-2.30
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    perl Makefile.PL INSTALLDIRS=perl
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE} OPTIMIZE="-O2 -g -Wall"; ${MAKE} test
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} PREFIX=${DESTDIR}/usr install; find ${DESTDIR} -type f -name .packlist |xargs -r rm -f; find ${DESTDIR} -type f -name perllocal.pod |xargs -r rm -f; find ${DESTDIR} -type d -empty |xargs -r rmdir -p --ignore-fail-on-non-empty
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
